## START: Set by rpmautospec
## (rpmautospec version 0.6.0)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check

%global crate git-delta

Name:           rust-git-delta
Version:        0.18.2
Release:        %autorelease
Summary:        Syntax-highlighting pager for git

License:        MIT
URL:            https://crates.io/crates/git-delta
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * bump git2 dependency from 0.18 to 0.19
# * relax unicode-width dependency from =0.1.12 to ^0.1.14
# * relax rstest dev-dependency from ^0.21.0 to >=0.18.2,<0.24
Patch:          git-delta-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24
%if %{with check}
BuildRequires:  git-core
%endif

%global _description %{expand:
A syntax-highlighting pager for git.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# (Apache-2.0 OR MIT) AND BSD-3-Clause
# (MIT OR Apache-2.0) AND Apache-2.0 AND BSD-2-Clause AND BSD-2-Clause-Views AND BSD-3-Clause AND CC-BY-SA-3.0 AND MIT AND Unlicense AND WTFPL
# (MIT OR Apache-2.0) AND BSD-3-Clause AND GPL-2.0-only WITH GCC-exception-2.0 AND MIT
# (MIT OR Apache-2.0) AND Unicode-DFS-2016
# 0BSD OR MIT OR Apache-2.0
# Apache-2.0
# Apache-2.0 OR BSL-1.0
# Apache-2.0 OR MIT
# Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT
# LGPL-3.0-or-later
# MIT
# MIT OR Apache-2.0
# MIT OR Apache-2.0 OR Zlib
# MIT OR Zlib OR Apache-2.0
# MPL-2.0
# Unlicense OR MIT
# Zlib OR Apache-2.0 OR MIT
License:        MIT AND Apache-2.0 AND BSD-2-Clause AND BSD-2-Clause-Views AND BSD-3-Clause AND CC-BY-SA-3.0 AND GPL-2.0-only WITH GCC-exception-2.0 AND LGPL-3.0-or-later AND MPL-2.0 AND Unicode-DFS-2016 AND Unlicense AND WTFPL AND (0BSD OR MIT OR Apache-2.0) AND (Apache-2.0 OR BSL-1.0) AND (Apache-2.0 OR MIT) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (MIT OR Apache-2.0 OR Zlib) AND (Unlicense OR MIT)
# LICENSE.dependencies contains a full license breakdown

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE
%license LICENSE.dependencies
%doc ARCHITECTURE.md
%doc CONTRIBUTING.md
%doc README.md
%{_bindir}/delta
%{bash_completions_dir}/delta.bash
%{fish_completions_dir}/delta.fish
%{zsh_completions_dir}/_delta

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies

%install
%cargo_install
# install shell completions
install -Dpm0644 etc/completion/completion.bash \
    -T %{buildroot}/%{bash_completions_dir}/delta.bash
install -Dpm0644 etc/completion/completion.fish \
    -T %{buildroot}/%{fish_completions_dir}/delta.fish
install -Dpm0644 etc/completion/completion.zsh \
    -T %{buildroot}/%{zsh_completions_dir}/_delta

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Tue Oct 29 2024 Fabio Valentini <decathorpe@gmail.com> - 0.18.2-3
- Bump git2 dependency from 0.18 to 0.19

* Sun Oct 06 2024 Fabio Valentini <decathorpe@gmail.com> - 0.18.2-2
- Relax unicode-width and rstest dependencies

* Wed Sep 18 2024 Fabio Valentini <decathorpe@gmail.com> - 0.18.2-1
- Update to version 0.18.2; Fixes RHBZ#2305313

* Sun Sep 08 2024 Tau Gärtli <git@tau.garden> - 0.18.0-1
- Update to version 0.18.0; Fixes RHBZ#2305313

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.17.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu Jun 06 2024 Fabio Valentini <decathorpe@gmail.com> - 0.17.0-1
- Update to version 0.17.0; Fixes RHBZ#2269808

* Thu May 23 2024 Fabio Valentini <decathorpe@gmail.com> - 0.16.5-10
- Rebuild with Rust 1.78 to fix incomplete debuginfo and backtraces

* Tue Feb 13 2024 Fabio Valentini <decathorpe@gmail.com> - 0.16.5-9
- Rebuild for CVE-2024-24575 and CVE-2024-24577 in libgit2

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.16.5-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Dec 22 2023 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.16.5-7
- Rebuilt for vte 0.13

* Sun Oct 29 2023 Michel Lind <salimma@fedoraproject.org> - 0.16.5-6
- Rebuilt for bat 0.24.0

* Fri Oct 27 2023 Michel Lind <salimma@fedoraproject.org> - 0.16.5-5
- Rebuilt for sysinfo 0.29.10

* Thu Aug 24 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.16.5-4
- Rebuilt for vte 0.11

* Sat Jul 29 2023 Jannik Vieten <me@exploide.net> - 0.16.5-3
- Fix copy-paste error in installation of fish shell completions

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.16.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sat Jul 15 2023 Fabio Valentini <decathorpe@gmail.com> - 0.16.5-1
- Update to version 0.16.5; Fixes RHBZ#2123174

* Wed May 03 2023 Fabio Valentini <decathorpe@gmail.com> - 0.13.0-5
- Rebuild for tokio crate >= v1.24.2 (RUSTSEC-2023-0005)

* Sat Jan 28 2023 Fabio Valentini <decathorpe@gmail.com> - 0.13.0-4
- Rebuild for CVE-2022-24765 and CVE-2022-29187 in libgit2

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.13.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.13.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jul 21 2022 Fabio Valentini <decathorpe@gmail.com> - 0.13.0-1
- Update to version 0.13.0; Fixes RHBZ#2017604

* Tue Feb 15 2022 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.8.3-4
- Rebuild with package notes

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sun Nov 28 2021 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.8.3-2
- Rebuild for libgit2 1.3.x

* Wed Aug 04 2021 Fabio Valentini <decathorpe@gmail.com> - 0.8.3-1
- Update to version 0.8.3; Fixes RHBZ#1976166

* Tue Jul 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-2
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sun May 30 2021 Fabio Valentini <decathorpe@gmail.com> - 0.8.0-1
- Update to version 0.8.0.
- Fixes RHBZ#1944442

* Fri Feb 05 17:25:00 CET 2021 Stefano Figura <stefano@figura.im> - 0.6.0-1
- Update to 0.6.0 (Fixes: RHBZ#1925552)

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sun Jan 10 18:29:33 CET 2021 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.5.1-1
- Update to 0.5.1 (Fixes: RHBZ#1911749)

* Tue Dec 29 17:00:21 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.4.5-1
- Update to 0.4.5 (Fixes: RHBZ#1910300)

* Tue Dec 29 14:21:55 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.4.4-2
- Rebuild against libgit2 1.1.x

* Sun Nov 29 20:54:00 CEST 2020 Stefano Figura <stefano@figura.im> - 0.4.4-1
- Update to 0.4.4

* Thu Aug 27 16:43:44 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.4.1-1
- Update to 0.4.1

* Sun Aug 16 15:01:28 GMT 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.1.1-4
- Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sat May 30 08:01:45 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.1.1-2
- Update shell-words to 1

* Sat May 02 10:50:26 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.1.1-1
- Initial package

## END: Generated by rpmautospec
